Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el.impl
Class RelationalOperator

    java.lang.Object
      org.jbpm.jpdl.el.impl.BinaryOperator
          org.jbpm.jpdl.el.impl.RelationalOperator

Direct Known Subclasses:
  GreaterThanOperator, GreaterThanOrEqualsOperator, LessThanOperator, LessThanOrEqualsOperator

    public abstract class RelationalOperator

extends BinaryOperator

This is the superclass for all relational operators (except == or !=)

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author$
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`RelationalOperator()`

Method Summary
`abstract boolean` | `apply(java.math.BigDecimal pLeft, java.math.BigDecimal pRight)` Applies the operator to the given BigDecimal values, returning a BigDecimal
`abstract boolean` | `apply(java.math.BigInteger pLeft, java.math.BigInteger pRight)` Applies the operator to the given BigDecimal values, returning a BigDecimal
`abstract boolean` | `apply(double pLeft, double pRight)` Applies the operator to the given double values
`abstract boolean` | `apply(long pLeft, long pRight)` Applies the operator to the given long values
`java.lang.Object` | `apply(java.lang.Object pLeft, java.lang.Object pRight, Logger pLogger)` Applies the operator to the given value
`abstract boolean` | `apply(java.lang.String pLeft, java.lang.String pRight)` Applies the operator to the given String values
`protected boolean` | `isEqual(int val)` Test return value of BigInteger/BigDecimal A.compareTo(B).
`protected boolean` | `isGreater(int val)` Test return value of BigInteger/BigDecimal A.compareTo(B).
`protected boolean` | `isLess(int val)` Test return value of BigInteger/BigDecimal A.compareTo(B).

Methods inherited from class org.jbpm.jpdl.el.impl.BinaryOperator
`getOperatorSymbol, shouldCoerceToBoolean, shouldEvaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationalOperator

    public RelationalOperator()

Method Detail

### apply

    public java.lang.Object apply(java.lang.Object pLeft,
                                  java.lang.Object pRight,
                                  Logger pLogger)
                           throws ELException

  Applies the operator to the given value

  Specified by:
    `apply` in class `BinaryOperator`
  Throws:
    `ELException`

### apply

    public abstract boolean apply(double pLeft,
                                  double pRight)

  Applies the operator to the given double values

### apply

    public abstract boolean apply(long pLeft,
                                  long pRight)

  Applies the operator to the given long values

### apply

    public abstract boolean apply(java.lang.String pLeft,
                                  java.lang.String pRight)

  Applies the operator to the given String values

### apply

    public abstract boolean apply(java.math.BigDecimal pLeft,
                                  java.math.BigDecimal pRight)

  Applies the operator to the given BigDecimal values, returning a BigDecimal

### apply

    public abstract boolean apply(java.math.BigInteger pLeft,
                                  java.math.BigInteger pRight)

  Applies the operator to the given BigDecimal values, returning a BigDecimal

### isLess

    protected boolean isLess(int val)

  Test return value of BigInteger/BigDecimal A.compareTo(B).

  Parameters:
    `val` - - result of BigInteger/BigDecimal compareTo() call
  Returns:
    - true if result is less than 0, otherwise false

### isEqual

    protected boolean isEqual(int val)

  Test return value of BigInteger/BigDecimal A.compareTo(B).

  Parameters:
    `val` - - result of BigInteger/BigDecimal compareTo() call
  Returns:
    - true if result is equal to 0, otherwise false

### isGreater

    protected boolean isGreater(int val)

  Test return value of BigInteger/BigDecimal A.compareTo(B).

  Parameters:
    `val` - - result of BigInteger/BigDecimal compareTo() call
  Returns:
    - true if result is greater than 0, otherwise false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD